> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Announcement

> Create an announcement and optionally attach it to IVRs



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/announcements/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/announcements/:
    post:
      tags:
        - Announcements
      summary: Create Announcement
      description: Create an announcement and optionally attach it to IVRs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                name:
                  type: string
                description:
                  type: string
                mediaFileId:
                  type: number
                  exclusiveMinimum: 0
                active:
                  anyOf:
                    - type: number
                      enum:
                        - 0
                    - type: number
                      enum:
                        - 1
                startDate:
                  type: string
                endDate:
                  type: string
                ivrIds:
                  type: array
                  items:
                    type: number
                branchId:
                  type: number
                  exclusiveMinimum: 0
              required:
                - tenantId
                - name
                - mediaFileId
                - active
                - startDate
                - endDate
              additionalProperties: false
      responses:
        '200':
          description: Created announcement
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Announcement ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  name:
                    type: string
                    description: Announcement name
                  description:
                    type: string
                    description: Announcement description
                  mediaFile:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          tenantId:
                            type: number
                        required:
                          - id
                          - name
                          - tenantId
                        additionalProperties: false
                      - type: 'null'
                    description: Attached media file
                  active:
                    type: number
                    description: Active state (1 = active, 0 = inactive)
                  startDate:
                    type: string
                    description: Start date (ISO 8601)
                  endDate:
                    type: string
                    description: End date (ISO 8601)
                  ivrs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        tenantId:
                          type: number
                        order:
                          type: number
                      required:
                        - id
                        - name
                        - tenantId
                        - order
                      additionalProperties: false
                    description: IVRs this announcement is attached to
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Owning branch
                required:
                  - id
                  - tenantId
                  - name
                  - description
                  - mediaFile
                  - active
                  - startDate
                  - endDate
                  - ivrs
                  - branch
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````